Package com.smartgwt.logicalstructure.widgets.drawing

# Class DrawGroupLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawGroupLogicalStructure

public class DrawGroupLogicalStructure extends DrawItemLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `DrawItem[]`
  `drawItems`
  `String`
  `height`
  `String[]`
  `knobs`
  `String`
  `left`
  `String`
  `moveItemsWithGroup`
  `String`
  `showGroupRectOutline`
  `String`
  `top`
  `String`
  `useGroupRect`
  `String`
  `width`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure

  `canDrag, canHover, contextMenu, cursor, destroyed, destroying, dragStartDistance, drawGroup, drawPaneAsDrawPane, drawPaneAsString, editProxyConstructor, endArrow, eventOpaque, fillColor, fillGradientAsGradient, fillGradientAsString, fillOpacity, hoverDelay, keepInParentRectAsString, lineCap, lineColor, lineOpacity, linePattern, lineWidth, moveKnobOffset, moveKnobPoint, prompt, proportionalResizeModifiers, proportionalResizing, resizeKnobPoints, resizeViaLocalTransformOnly, rotation, scale, shadow, showHover, showResizeOutline, showTitleLabelBackground, startArrow, title, titleAutoFit, titleAutoFitMargin, titleAutoFitRotationMode, titleLabelPadding, titleRotationMode, translate, useSimpleTransform, xShearFactor, yShearFactor, zIndex`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw, ID`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawGroupLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### drawItems

    public DrawItem[] drawItems

  - ### height

    public String height

  - ### knobs

    public String[] knobs

  - ### left

    public String left

  - ### moveItemsWithGroup

    public String moveItemsWithGroup

  - ### showGroupRectOutline

    public String showGroupRectOutline

  - ### top

    public String top

  - ### useGroupRect

    public String useGroupRect

  - ### width

    public String width

- ## Constructor Details

  - ### DrawGroupLogicalStructure

    public DrawGroupLogicalStructure()